2008-08-16  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	* sound-theme.c: (play_sound_at_path),
	(custom_treeview_button_press_event_cb),
	(activatable_cell_renderer_pixbuf_activate),
	(activatable_cell_renderer_pixbuf_init),
	(activatable_cell_renderer_pixbuf_class_init),
	(setup_sound_theme_custom): make the event sound preview button
	listen to the "activate" signal so it becomes accessible via
	keyboard (bug #547808)

2008-08-07  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Bastien Nocera <hadess@hadess.net>

	* sound-properties.glade:
	* sound-theme-definition.h: HIG fixes and improved wording (bug
	#545219)

2008-08-06  Jens Granseuer  <jensgr@gmx.net>

	* sound-properties-capplet.c: (create_dialog): fix warning due to
	left-over developer code (bug #546583)

2008-08-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: added missing file to _SOURCES.

2008-08-02  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Alexander Schwenn <alesch@xelaris.net>

	* sound-properties-capplet.c: (filter_device_generic),
	(filter_device_alsa), (filter_device_oss),
	(get_device_description), (device_added_alsa), (device_added_oss): add
	some filtering for OSS devices and create more useful device
	descriptions (bug #545275)

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* sound-theme-file-utils.c (custom_theme_update_time):
	* sound-theme-file-utils.h:
	* sound-theme.c (save_custom_theme): "touch" the custom theme
	directory every time we make a change (Closes: #545373)

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* sound-theme.c (setup_sound_theme_custom): Never mind, the define is
	actually used

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Remove visual-bell.png, unused now

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* sound-theme.c: Remove unused define

2008-07-28  Jens Granseuer  <jensgr@gmx.net>

	* sound-theme.c: (get_sound_filename): fix critical warning when music
	directory isn't set

	* (setting_column_edited): fix more leaks

	* (theme_changed_custom_reinit): when resetting a theme, also reset
	the preview icon status

2008-07-28  Jens Granseuer  <jensgr@gmx.net>

	* sound-theme.c: (load_index_theme_name),
	(set_combox_for_theme_name), (theme_combobox_changed),
	(setup_sound_theme), (get_sound_filename), (dump_theme),
	(setting_column_edited), (setup_sound_theme_custom): plug some leaks,
	simplify and/or clarify some code

2008-07-28  Jens Granseuer  <jensgr@gmx.net>

	* sound-theme.c: (custom_treeview_button_press_event_cb): don't
	preview sounds for insensitive rows

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* sound-theme.c (setting_set_func), (fill_custom_model),
	(save_sounds), (count_customised_sounds), (setting_column_edited):
	When selecting a non-custom sound (such as disabled, or builtin),
	don't remove the previous custom file's filename from the tree store,
	When a custom file was previously selected, always show it in the
	combo box drop-down (Closes: #545055)

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* sound-theme.c (play_sound_preview), (get_sound_filename):
	When selecting custom files, listen to "update-preview", and try
	to play everything that the user might select (Closes: #545056)

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* sound-theme.c (save_custom_theme): Fix permissions on the
	custom theme directory, otherwise not even the user can read the files
	in there

2008-07-28  Lennart Poettering  <lennart@poettering.net>

	* sound-theme.c: pass 'cache control' property explicitly to make sure
	that the sound is never cached when it is previewed. Pass 'enable'
	property explicitly to make sure that the sound is guaranteed to be
	played, even when sound events are otherwise disabled.

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* sound-properties-capplet.c (create_dialog), (setup_dialog),
	(get_legacy_settings):
	* sound-properties.glade:
	* sound-theme-definition.h:
	* sound-theme-file-utils.[ch]:
	* sound-theme.[ch]: Remove separate bell settings tab, remove
	libsounds dependency, add freedesktop sound theme support through
	libcanberra (Closes: #542979)

==================== 2.23.2 ====================

2008-04-25  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Tim-Phillip Müller <t.i.m@zen.co.uk>

	* sound-properties-capplet.c: (add_device_with_probe),
	(device_added_alsa), (device_added_oss), (device_added_callback),
	(device_removed_callback), (setup_devices_by_capability),
	(setup_hal_devices), (setup_devices): add support for OSS 4 (bug
	#529720)

2008-04-01  Jens Granseuer  <jensgr@gmx.net>

	* mixer-support.c: (create_mixer_device_tree_model): sort mixer devices
	alphabetically (bug #525530)

2008-04-01  Jens Granseuer  <jensgr@gmx.net>

	* sound-properties-capplet.c: (device_added_callback): don't show
	modems and other unwanted devices (bug #523888)

2008-03-27  Jens Granseuer  <jensgr@gmx.net>

	* sound-properties.glade: don't mention esd (bug #519722)

2008-03-24  Jaap A. Haitsma  <jaap@haitsma.org>

	* visual-bell.png: New tango icon
	(bug #523916)

2008-02-09  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: use the libsounds.la now that libsounds uses libtool
	(bug #515252)

2007-12-11  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* icons/48x48:
	* icons/48x48/gnome-sound-properties.png: add 48x48 PNG icon version
	by Andreas Nilsson <nisses.mail@home.se> (bug #502945)

2007-06-29  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: fix target dir for icons

2007-06-28  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Luca Feretti <elle.uca@libero.it>

	* gnome-settings-sound.desktop.in.in:
	* sound-properties-capplet.c: (main): use new icon name (patch from bug
	#397305)

2007-06-28  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* icons/16x16/gnome-sound-properties.svg:
	* icons/22x22/gnome-sound-properties.svg:
	* icons/32x32/gnome-sound-properties.svg:
	* icons/scalable/gnome-sound-properties.svg:
	add new icons by Josef Vybíral (closes bug #397305)

2007-05-27  Jens Granseuer  <jensgr@gmx.net>

	* pipeline-tests.c: (user_test_pipeline): and don't use
	gtk_timeout_remove, either..

2007-05-27  Jens Granseuer  <jensgr@gmx.net>

	* pipeline-tests.c: (user_test_pipeline): use g_timeout_add() instead
	of the deprecated gtk_timeout_add()
	* sound-properties.glade: set non-0 pulse step for the progress bar to
	actually make it move (fixes bug #441587)

2007-05-06  Jens Granseuer  <jensgr@gmx.net>

	* sound-properties-capplet.c: (create_dialog), (main): don't crash if
	glade file is not available

2007-05-06  Jens Granseuer  <jensgr@gmx.net>

	* sound-properties-capplet.c: (create_dialog):
	* sound-properties.glade: set button images via code instead of
	relying on glade, so they respect the gtk-button-images xsetting

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-sound.desktop.in.in: renamed Bugzilla product.

2007-04-03  Jens Granseuer  <jensgr@gmx.net>

	* sound-properties-capplet.c: (remove_device): move function inside
	USE_HAL

2007-04-03  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	* sound-properties-capplet.c: (setup_default_mixer): ellipsize the
	device combobox (bug #425650)

2007-03-18  Christian Persch  <chpe@gnome.org>

	* sound-properties.glade: Fix button label alignment. Bug #416238.

2007-03-18  Christian Persch  <chpe@gnome.org>

	* sound-properties-capplet.c: (create_dialog): Revert unrelated change
	accidentally committed with the previous commit.

2007-03-18  Christian Persch  <chpe@gnome.org>

	* sound-properties-capplet.c: (main): Initialise
	threads early, and fix option context translation. Bug #416239.

2007-02-10  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Patrick Wade <patrick.wade@sun.com>

	* sound-properties.glade: add a11y label relations for the devices
	tab (fixes bug #369302)

2007-02-02  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Gabor Kelemen <kelemeng@gnome.hu>

	* sound-properties-capplet.c: (setup_devices): Polypaudio is now
	PulseAudio (fixes bug #394003)

2007-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* sound-properties-capplet.c: (setup_hal_devices), (setup_devices):
	ANSIfication of function declarations.

2007-01-14  Christian Persch  <chpe@svn.gnome.org>

	* sound-properties.glade: Fix label alignments bug (caused by glade-3
	bug 396433).

2007-01-14  Christian Persch  <chpe@svn.gnome.org>

	* sound-properties-capplet.c: (create_dialog): Show the sound
	properties view after adding it to the dialogue.

2007-01-11  Christian Persch  <chpe@svn.gnome.org>

	* capplets/sound/Makefile.am:
	* capplets/sound/sound-properties-capplet.c: (create_dialog),
	(dialog_response_cb), (main):
	* capplets/sound/sound-properties.glade:
	Fix spacings and just build the whole dialogue from glade, not just
	the main part. Bug #394068.

2007-01-09  Jan Arne Petersen  <jpetersen@jpetersen.org>

	Fixes #394736

	* sound-properties-capplet.c: (update_mixer_tracks_selection),
	(update_mixer_device_combobox): added NULL-check.

2007-01-08  Jan Arne Petersen  <jpetersen@jpetersen.org>

	Fixes #173035

	* Makefile.am, mixer-support.c, mixer-support.h: Add new files.
	* sound-properties-capplet.c: (mixer_device_combobox_changed),
	(add_track_label_to_list), (mixer_tracks_selection_changed),
	(update_mixer_tracks_selection), (default_mixer_tracks_notify),
	(update_mixer_device_combobox), (default_mixer_device_notify),
	(setup_default_mixer), (setup_dialog):
	* sound-properties.glade: added support for selecting mixer device and
	tracks in the capplet.

2007-01-07  Thomas Wood  <thos@gnome.org>

	* sound-properties.glade: Use GtkAlignment for padding, rather than a
	GtkHbox and GtkFrame. Fixes bug 143215.

2007-01-07  Kjartan Maraas  <kmaraas@gnome.org>

	* sound-properties-capplet.c: (setup_devices):
	Spell Enlightened Sound Daemon correctly.

2007-01-07  Gabor Kelemen  <kelemeng@gnome.hu>

	Fixes #350572 
	
	* sound-properties.glade: Add accelerators to the device tab.

2007-01-06  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	Fixes #392276

	* sound-properties-capplet.c (setup_dialog): #ifdef esd-related code.
	
2007-01-06  Lucas Rocha <lucasr.at.mundo@gmail.com>

	Fixes #336286

	* sound-properties-capplet.c (main): switched from popt to GOptionContext.

2007-01-07  Jan Arne Petersen  <jap@gnome.org>

	* sound-properties-capplet.c: (setup_hal_devices): do proper
	dbus/libhal error handling. (Closes #363005)

2007-01-06  Gabor Kelemen  <kelemeng@gnome.hu>

	Fixes #393472 

	* sound-properties-capplet.c: marked sound system names translatable.

2006-08-10  Christian Persch  <chpe@gnome.org>

	Fixes #350556

	* sound-properties-capplet.c (add_selected_device): fixed mem leak.

2006-08-02  Klaus Pedersen <klaus.kruse.pedersen@mail.tele.dk>

	Fixes #349254

	* sound-properties-capplet.c: removed unneeded header file.

2006-07-26  Ali Akcaagac <aliakc@web.de>

	Fixes #348755

	* sound-properties-capplet.c: only include libhal if HAL is enabled.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-sound.desktop.in.in:  
	don't list the Application category, list the HardwareSettings one,
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)

2006-06-26  Sergey Udaltsov <svu@gnome.org>

	* Makefile.am: added pipeline-tests.h to SOURCES

2006-05-26  Rodrigo Moya <rodrigo@novell.com>

	Fixes #324971

	* sound-properties.glade: s/Ok/OK.

2006-05-05  Jürg Billeter  <j@bitron.ch>

	* Makefile.am:
	* pipeline-tests.c: (user_test_pipeline_response),
	(user_test_pipeline_timeout), (build_test_pipeline),
	(pipeline_error_dlg), (user_test_pipeline):
	* pipeline-tests.h:
	* sound-properties-capplet.c: (element_available), (add_device),
	(remove_device), (device_added_callback),
	(device_removed_callback), (setup_hal_devices),
	(device_test_button_clicked), (get_gconf_key_for_profile),
	(device_changed), (get_gconf_description_for_profile),
	(gconf_key_changed), (setup_device_chooser), (add_selected_device),
	(setup_devices), (setup_dialog), (main):
	* sound-properties.glade:

	Add sound device selection using HAL and GStreamer (Closes: #329112).

2006-01-11  Scott Reeves <SReeves@novell.com>

	* sound-properties.glade: new GUI.

	* sound-properties-capplet.c (create_dialog): make dialog bigger.

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* sound-properties-capplet.c: (main): 
	fix the title according to the HIG (Closes: #304950).
	
2005-02-07  Sebastien Bacher  <seb128@debian.org>

	* sound-properties-capplet.c: change fullscreen_flash to fullscreen
	  (Closes: #166455).

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications
	
	* gnome-settings-sound.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* .cvsignore:
	Quiet CVS.

	* sound-properties-capplet.c: (main):
	Use themed icon for WM hint.

2004-06-22  Leena Gunda  <leena.gunda@wipro.com>

	* sound-properties-capplet.c: 
	(create_dialog): set sensitivity of audible/visual bell 
	options only if XKB enabled.
	(CheckXKB): function to check if XKB support available.
	Fixes bug #144090

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* sound-properties-capplet.c: (dialog_button_clicked_cb): Update
	help link to point to user-guide.xml

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* sound-properties-capplet.c: Patch to fix spacing between action 
	area and vbox of preferences dialog.

2003-07-11  Dennis Cranston <dennis_cranston at yahoo com>

	* sound-properties.glade, sound-properties-capplet.c:  
	More fixes for ui-review bug number 99533.
	
2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-07-07  Calum Benson  <calum.benson@sun.com>

	* visual-bell.png:
	Replace Bill's placeholder icon before the UI freeze :)

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

Fri Jun  6 19:16:43 2003  Jonathan Blandford  <jrb@gnome.org>

	* sound-properties-capplet.c (bell_flash_to_widget),
	(bell_flash_from_widget): Use a peditor for the visual bell
	instead.

2003-06-06  Bill Haneman <bill.haneman@sun.com>

	* sound-properties.glade:
	Added page tab and UI from "visual bell" capplet
	(UI originally from Calum, except for ugly icon)

	* visual-bell.png:
	Ugly new icon which needs TLC from Calum.

	* sound-properties-capplet.c:
	Added gconf keys for visual bell feature and control of
	audio bell.
	(visual_bell_type_changed): New, called when visual bell radiobuttons
	are toggled.
	(create_dialog): 
	Set the image on the "System Bell" notebook tab. 
	(setup_dialog):
	Added peditors for visual-bell and audio-bell checkboxes/gconf keys.
	Added guards for the visual-bell type buttons, controlled by
	the visual-bell-enabling checkbox.
	Connected visual_bell_type_changed to "toggled" signal on radiobuttons.

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-30  Alex Duggan  <aldug@astrolinux.com>

	* sound-properties-capplet.c: use appropriate
	window border icon.

2003-04-29  Kjartan Maraas  <kmaraas@gnome.org>

	* sound-properties-capplet.c: (main): Plug a leak.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-08  Deepa Natarajan  <deepa.natarajan@wipro.com>

	*sound-properties.glade: Remove mnemonics for notebook tabs.
	Fixes bug# 94160.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* sound.desktop.in: Fix the desktop file so that it validates.

2002-07-31  Federico Mena Quintero  <federico@ximian.com>

	* sound-properties-capplet.c (main): Do not pass -1 for the dialog
	flags; just pass GTK_DIALOG_NO_SEPARATOR.  Fixes #89408 and #88614.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>

        * sound-properties-capplet.c : Changed the help file link
          to get the help document from user-guide.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* sound-properties-capplet.c (dialog_button_clicked_cb) : Improve
	  handling of help failures.

Sun May 26 11:32:09 2002  Jonathan Blandford  <jrb@gnome.org>

	* sound-properties-capplet.c (main): use APPID instead of argv[0]

2002-05-08  Jody Goldberg <jody@gnome.org>

	* sound-properties-capplet.c (dialog_button_clicked_cb) : fix help path

2002-05-07  Jody Goldberg <jody@gnome.org>

	* sound-properties-capplet.c (main) : add help.
	(dialog_button_clicked_cb) : support help and support WM based exit.

Wed Apr 10 18:05:30 2002  Jonathan Blandford  <jrb@gnome.org>

	* sound.desktop.in (Exec): s/gnome2/gnome

2002-03-27  Richard Hestilow  <hestilow@ximian.com>

	* sound-properties.glade: Add mnemonics.

	* sound-properties-capplet.c (create_dialog): Connect to
	properties so we know when to save.

2002-03-27  Richard Hestilow  <hestilow@ximian.com>

	* sound-properties.glade: Add mnemonics.

	* sound-properties-capplet.c (create_dialog): Connect to
	properties so we know when to save.

2002-03-10  Seth Nickell  <snickell@stanford.edu>

	* main.c: (main):
	* sound-properties-capplet.c: (main):

	Activate the settings daemon if its not already running.
	
2002-03-07  Richard Hestilow  <hestilow@ximian.com>
	
	* sound-properties-capplet.c (main): Okay, so I'm an idiot.

2002-03-06  Richard Hestilow  <hestilow@ximian.com>

	* sound-properties-capplet.c (main): Remove textdomain stuff.
	I'm not 100% certain this is correct, but none of the other capplets
	have it.
	
2002-03-07  Lauris Kaplinski  <lauris@ximian.com>

	* sound-properties-capplet.c: Do not include unused <esd.h>

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* sound-properties-capplet.c: s/PACKAGE/GETTEXT_PACKAGE/g

2002-02-11  Seth Nickell  <snickell@stanford.edu>

	* sound-properties-capplet.c: (setup_dialog),
	(dialog_button_clicked_cb), (main):

	Convert to instant apply.

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* sound-properties-capplet.c (create_dialog): Use g_object_set_data,
	use g_signal_connect
	(dialog_button_clicked_cb): GtkDialog instead of GnomeDialog
	(create_dialog): Use gtk_widget_set_size_request

2002-01-27  Seth Nickell  <snickell@stanford.edu>

	* sound.desktop.in:

	Add categories field to .desktop file.

2002-01-19  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:

	Install icons into the pixmaps directory so the Panel
	& Nautilus will pick up on them.

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (bin_PROGRAMS): Rename binary gnome2-sound-properties

2002-01-08  Richard Hestilow  <hestilow@ximian.com>

	* Port to GNOME 2.0.

2001-11-18  Richard Hestilow  <hestilow@ximian.com>

	* Makefile.am (sound_properties_control_LDADD): Add libsounds.a.

	* prefs-widget.c (apply_settings): Export our settings to
	gnome-config (needed by gnome-libs). Also save and reload event
	sounds.
	(create_dialog): Add a SoundView on the sound events.

	* sound-properties.glade: Add a tab for the sound events.

2001-10-12  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Make OAF file creation generic

2001-09-28  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove support for disabling bonobo-conf build

	* Makefile.am: Change the binary name to
	mouse-properties-control and create a wrapper script from
	../common/wrapper-script.in to be named mouse-properties-capplet

2001-07-31  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): add DISTDIR to install-data-local

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am: remove the OAF_FILE_IN_RULE and copy it here
	* Makefile.am: remove the DESKTOP_IN_RULE and copy the sed here

2001-07-25  Bradford Hovinen  <hovinen@ximian.com>

	* prefs-widget.c (prefs_widget_init): Fix macro name

	* main.c (main): Fix macro name

2001-07-24  Richard Hestilow  <hestilow@ximian.com>
	
	* sound-properties-capplet.c (main): Pass in legacy files to
	capplet_init.
	(get_legacy_settings): Use the "Main" config prefix.

2001-07-23  Bradford Hovinen  <hovinen@ximian.com>

	* sound-properties-capplet.c (apply_settings): Make sure ESD gets
	killed if it's supposed to

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove SUBDIRS
	Remove extraneous EXTRA_DIST
	Make sure to include defaults and OAF info files

2001-07-18  Bradford Hovinen  <hovinen@ximian.com>

	* Bonobo_Control_Capplet_sound_properties.oaf: Update for new
	binary name

2001-07-18  Richard Hestilow  <hestilow@ximian.com>

	* sound-properties-capplet.c (create_dialog): Revert that. 

2001-07-18  Richard Hestilow  <hestilow@ximian.com>

	* sound-properties-capplet.c (create_dialog): Change to reflect
	new prototype.

2001-07-17  Chema Celorio  <chema@celorio.com>

	* Makefile.am (SUBDIRS): clean

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* sound-properties-capplet.c (create_dialog): Implement
	(main): Call glade_gnome_init; pass create_dialog to capplet_init
	(setup_dialog): Retrieve the Glade data from the widget passed to
	this function
	(create_dialog): Make sure dialog is destroyed when widget is

	* Makefile.am (EXTRA_DIST): Changed Applications_DATA to
	Applications_in_files
	(INCLUDES): Add -DGLADE_DATADIR

	* sound-properties-capplet.c (setup_dialog): Sensitize events
	check box only if ESD is already enabled

	* sound-properties.glade: Prune dialog down to the two check
	buttons

2001-07-13  Bradford Hovinen  <hovinen@ximian.com>

	* sound-properties-capplet.c (set_moniker_cb): Resolve
	configuration database and store in property frame
	(apply_cb): Retrieve configuration database from property frame
	(create_control_cb): Don't store config database in property
	control
	(create_control_cb): Add listener for property change in config
	database
	(changed_cb): Implement

2001-07-12  Bradford Hovinen  <hovinen@ximian.com>

	* sound-properties-capplet.c (apply_settings): Disable launch of
	esd, due to esd's general suckiness

	* sound-properties.xml: Update to use correct names for settings

	* sound-properties-capplet.c (set_moniker_cb): Change event_sound
	to event_sounds

2001-07-10  Bradford Hovinen  <hovinen@ximian.com>

	* sound-properties-capplet.c (set_moniker_cb): Make full moniker
	(apply_settings): Release the return value
	(main): Support --get-legacy option
	(get_legacy_settings): Implement
	(create_control_cb): Connect apply_cb
	(COPY_FROM_LEGACY): Use bonobo_config_set_...
	(main): Open config database regardless of what operation is
	requested; pass to create_control callback
	(apply_settings): Use bonobo_config_get_...
	(get_legacy_settings): 
	(apply_settings): Don't accept CORBA_Environment *ev any more
	(create_control_cb): Store the config database in the property control
	(apply_settings): Use the correct setting name
	(apply_cb): Apply settings and sync
	(apply_settings): Kill esd when requested
	(get_legacy_settings): Sync database

	* sound-properties.xml: Fixed path name

2001-07-09  Bradford Hovinen  <hovinen@ximian.com>

	* sound-properties.xml: Use 0 and 1 rather than true and false

	* sound-properties-capplet.c (create_control_cb): Implement
	(main): Use create_control_cb

	* Bonobo_Control_Capplet_sound_properties.oaf: Use PropertyControl interface

	* sound-properties-capplet.c (create_dialog_cb): Update signature
	for use as a BonoboPropertyControlGetControlFn

	* Makefile.am (defaults_DATA): Add sound-properties.xml
	(EXTRA_DIST): Add defaults_DATA

	* sound-properties-capplet.c (close_cb): Don't destroy the widget
	-- it's already destroyed

2001-06-07  Christian Rose  <menthos@menthos.com>

	* sound-properties.desktop: Modified Swedish translation.

2001-04-27  Bradford Hovinen  <hovinen@ximian.com>

	* preferences.c (category_read_xml): Make description a child node
	rather than an attribute
	(sound_event_read_xml): Make name an attribute rather than a child
	node

2000-10-08  Bradford Hovinen  <hovinen@helixcode.com>

	* Makefile.am (EXTRA_DIST): Add translation file

